mcy's scripts
=============

This repository provides a bunch of scripts that may or may not be of interest
for you. They are all free software, but we use various licenses; the license
and copyright information of a script are given in the file's header.

Most scripts are categorised into directories, but "bigger" projects are kept
in their own directories. Each directory contains a `README` file with
description and usage of each script it contains.

Scripts of interest
===================

Here is a list of the main scripts that could be of interest to the general
public:

- The stuff in [file_utils](file_utils/) is quite useful in my opinion,
  especially `mvparent` (moves the contents of a directory up one level).
- [dddoc](dddoc/), to extract inline documentation from scripts.
- [audio/just-play-something](audio/), to play random albums on your MPD
  server; it is meant to be binded to a button on your music box.
- [graphics/apply-exif-orientation](graphics/): the name speaks for itself,
  sometimes useful.
- If you're a Git user, the [git](git/) directory could be of interest.
- [email_account](email_account/), to manage email addresses in a Debian +
  Cyrus + Postfix environment.

How to use
==========

For your convenience, the `bin/` directory is maintained with symbolic links
pointing to the scripts in the other directories, so that you can add it
to your PATH and use the scripts easily. The file extensions (`.sh`, `.pl`,
`.py`, etc.) are stripped. Only relevant scripts are linked, i.e. those
that do not need to be customised in order to be usable, and that are
not very specialised system administration scripts.

To use the `bin/` directory, add something like that in your `.bashrc`,
`.zshrc` or whatever file the shell you're using will source:

    PATH="$HOME/path/to/scripts/bin:$PATH"
