#!/bin/sh
#
# btrfs_snapshot_date.sh, Copyright © 2011 Matteo Cypriani <mcy@lm7.fr>
#
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.
#
# Makes a snapshot of a Btrfs subvolume with the date appended to its
# name.

# Mount point of the Btrfs root volume (in which the subvolumes
# reside):
ROOT=/media/pool
# Name of the subvolume to snapshot:
SV="backupsv"

mount "$ROOT"
SV="$ROOT/$SV"
DATE="$(date '+%Y-%m-%dT%H:%M:%S')"
btrfs subvolume snapshot "$SV" "$SV"_"$DATE"
