searchproviders2html.sh
=======================

This script converts KDE/Konqueror's search providers (a.k.a. web shortcuts),
that are stored as `.desktop` files, into a Firefox-friendly HTML bookmarks
file, ready to be imported with Firefox's bookmark manager. Imported bookmarks
will be in the "Search providers" directory.

The HTML is printed on the standard output, so you'll have to redirect it to a
file, such as:

    searchproviders2html >searchproviders.html

If your `.desktop` files are not stored at the default location, or if this
script becomes out of date and the default location is wrong, you can define
the `SEARCHPROVIDERS_PATH` variable in the environment:

    SEARCHPROVIDERS_PATH=/my/search/providers/directory

Limitations:

- Only the `\{@}` syntax is handled at the moment in input URLs. That means
  that if you're using numbered values (`\{0}`, `\{1}`, etc.) or named
  variables, they will appear as is in the output HTML.

- Firefox handles only one keyword (shortcut) per bookmark, therefore
  `searchproviders2html` will retain only the *first* keyword from the
  `.desktop` file.
